Subject: Re: Building Perl modules
From: "Gerrit P. Haase" <[email-masked]>
To: linda w <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Feb 2005 01:41:24 +0100

linda w wrote:

> If the current cygwin version of perl is 5.8.6, will the 5.8.5 directory
> be used?
> 
> If I print out @INC from my cygwin perl, I don't see 5.8.5 or 5.8.6 in
> the include path:

The naming scheme has changed, I use only the major numbers since 5.8.6
and for upcoming releases.

>  > perl -v
> This is perl, v5.8.6 built for cygwin-thread-multi-64int
>  > perl -e 'for(@INC) {print $_; print "\n";}'
> /usr/lib/perl5/5.8/cygwin
> /usr/lib/perl5/5.8
> /usr/lib/perl5/site_perl/5.8/cygwin
> /usr/lib/perl5/site_perl/5.8
> /usr/lib/perl5/site_perl/5.8
> /usr/lib/perl5/vendor_perl/5.8/cygwin
> /usr/lib/perl5/vendor_perl/5.8
> /usr/lib/perl5/vendor_perl/5.8
> ..
> 
> ---
> BTW - why are some of the include dir's included twice?

Yes, interesting.  I didn't noticed it, I'll try to figure out
what the reason is unless you can tell me.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/